Skip to main content
POST
/
v1
/
videos
/
generate
Create video generation job
curl --request POST \
  --url https://api.turboads.ai/v1/videos/generate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "project_id": "<string>",
  "prompt": "<string>",
  "duration": 123,
  "resolution": "<string>"
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.turboads.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:ta_live_your_api_key
required

Use a Developer API key from Settings > Developers.

Body

application/json
project_id
string
required
prompt
string
required
model
enum<string>
required
Available options:
sora-2-pro,
sora-2,
kling-3.0,
kling-2.6,
veo-3.1,
seedance-1.5,
grok-video
aspect_ratio
enum<string>
required
Available options:
1:1,
9:16,
16:9
duration
number
required
resolution
string

Response

200

Created video generation job